public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "William Breathitt Gray" <vilhelm.gray@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: games-fps/crispy-doom/
Date: Fri,  4 Sep 2020 12:52:16 +0000 (UTC)	[thread overview]
Message-ID: <1599223902.03d93e5440f7d66e890df712ae240de325232ff5.vilhelm.gray@gentoo> (raw)

commit:     03d93e5440f7d66e890df712ae240de325232ff5
Author:     William Breathitt Gray <vilhelm.gray <AT> gmail <DOT> com>
AuthorDate: Fri Sep  4 12:51:42 2020 +0000
Commit:     William Breathitt Gray <vilhelm.gray <AT> gmail <DOT> com>
CommitDate: Fri Sep  4 12:51:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=03d93e54

games-fps/crispy-doom: Version bump to 5.9.1

Signed-off-by: William Breathitt Gray <vilhelm.gray <AT> gmail.com>

 games-fps/crispy-doom/Manifest                 |  1 +
 games-fps/crispy-doom/crispy-doom-5.9.1.ebuild | 71 ++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/games-fps/crispy-doom/Manifest b/games-fps/crispy-doom/Manifest
index 1798910..4532e0d 100644
--- a/games-fps/crispy-doom/Manifest
+++ b/games-fps/crispy-doom/Manifest
@@ -1 +1,2 @@
+DIST crispy-doom-5.9.1.tar.gz 2640684 BLAKE2B 2bf862d8134689afba101abeed5cf1e1695378f235718941bf9fc2717bc93dd848173bb758e8bf0bc4a8ab1bfa75533c2ae838210326451f7c4285b0acb2e08b SHA512 1f9ed3520fe3d0fd176d3bcd6a2a3f5e730c29312ad20a4c1f692cc69881069efbf35d758dfcdafd402a499333dd2ae54764f4ec007375138ecf9cab84ebdbcd
 DIST crispy-doom-5.9.0.tar.gz 2641211 BLAKE2B a97bb7d9bda0c4e984054a0051cadfcaba7c758829bec9e615801bbf91dc1c8063decfedf5b76056cd2fb05e8fcf4113f19c10d72604399b715011d994af3e8b SHA512 9970291f374003ac2a1d9e4c44db18b97a41ae3348a5e100ec369affc162d681d15ce61846480667c8a7418700b78a4380bedab1e3acae77976eb4271a22b644

diff --git a/games-fps/crispy-doom/crispy-doom-5.9.1.ebuild b/games-fps/crispy-doom/crispy-doom-5.9.1.ebuild
new file mode 100644
index 0000000..cb2ce13
--- /dev/null
+++ b/games-fps/crispy-doom/crispy-doom-5.9.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit autotools prefix python-any-r1 xdg
+
+DESCRIPTION="A limit-removing enhanced-resolution Doom source port based on Chocolate Doom"
+HOMEPAGE="https://github.com/fabiangreffrath/crispy-doom"
+SRC_URI="https://github.com/fabiangreffrath/${PN}/archive/${P}.tar.gz"
+
+LICENSE="BSD GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bash-completion doc libsamplerate +midi png truecolor vorbis zlib"
+
+DEPEND="
+	media-libs/libsdl2[video]
+	media-libs/sdl2-mixer[midi?,vorbis?]
+	media-libs/sdl2-net
+	libsamplerate? ( media-libs/libsamplerate )
+	png? ( media-libs/libpng:= )
+	zlib? ( sys-libs/zlib )"
+RDEPEND="${DEPEND}"
+BDEPEND="
+	bash-completion? ( ${PYTHON_DEPS} )
+	doc? ( ${PYTHON_DEPS} )"
+
+S="${WORKDIR}"/${PN}-${P}
+
+DOCS=(
+	"AUTHORS"
+	"ChangeLog"
+	"NEWS.md"
+	"NOT-BUGS.md"
+	"PHILOSOPHY.md"
+	"README.md"
+	"README.Music.md"
+	"README.Strife.md"
+)
+
+src_prepare() {
+	default
+
+	hprefixify src/d_iwad.c
+
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_enable bash-completion) \
+		$(use_enable doc) \
+		--disable-fonts \
+		--disable-icons \
+		$(use_with libsamplerate) \
+		$(use_with png libpng) \
+		$(use_enable truecolor) \
+		$(use_with zlib)
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	# Remove redundant documentation files
+	rm -r "${ED}/usr/share/doc/"* || die
+
+	einstalldocs
+}


             reply	other threads:[~2020-09-04 12:52 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-04 12:52 William Breathitt Gray [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-15 12:45 [gentoo-commits] repo/proj/guru:master commit in: games-fps/crispy-doom/ Julien Roy
2024-05-15 12:41 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2024-05-15  0:45 Julien Roy
2023-04-02 13:35 William Breathitt Gray
2023-02-26 18:05 William Breathitt Gray
2022-09-08 16:17 William Breathitt Gray
2022-02-12  8:56 William Breathitt Gray
2021-08-17 22:52 William Breathitt Gray
2021-08-11  0:04 William Breathitt Gray
2021-08-10 12:26 William Breathitt Gray
2021-05-25  8:10 Anna Vyalkova
2021-03-24 23:49 William Breathitt Gray
2021-01-12 10:01 William Breathitt Gray
2020-09-22 12:42 William Breathitt Gray
2020-08-19 12:37 William Breathitt Gray
2020-05-12 14:08 William Breathitt Gray
2020-04-12 16:16 Andrew Ammerlaan
2020-03-13 14:34 Andrew Ammerlaan
2019-06-11 10:08 William Breathitt Gray
2019-05-21  2:21 William Breathitt Gray
2019-05-18  9:16 William Breathitt Gray
2019-05-18  8:55 William Breathitt Gray
2019-05-17  7:54 William Breathitt Gray
2019-05-16  2:31 William Breathitt Gray

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1599223902.03d93e5440f7d66e890df712ae240de325232ff5.vilhelm.gray@gentoo \
    --to=vilhelm.gray@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox